XFD(1)

NAME
xfd - font displayer for X

SYNOPSIS
xfd [-options ...] -fn fontname

OPTIONS

Xfd accepts all of the standard toolkit command line options along with the additional options listed below:

-fn font
    This option specifies the font to be displayed.

-box
    This option indicates that a box outlining the area that would be filled with background color by an ImageText request.

-center
    This option indicates that each glyph should be centered in its grid.

-start number
    This option specifies the glyph index of the upper left hand corner of the grid. This is used to view characters at arbitrary locations in the font. The default is 0.

-bc color
    This option specifies the color to be used if ImageText boxes are drawn.

DESCRIPTION
The xfd utility creates a window containing the name of the font being displayed, a row of command buttons, several lines of text for displaying character metrics, and a grid containing one glyph per cell. The characters are shown in increasing order from left to right, top to bottom. The first character displayed at the top left will be character number 0 unless the -start option has been supplied in which case the character with the number given in the -start option will be used.

The characters are displayed in a grid of boxes, each large enough to hold any single character in the font. Each character glyph is drawn using the PolyText16 request (used by the Xlib routine XDrawString16). If the -box option is given, a rectangle will be drawn around each character, showing where an ImageText16 request (used by the Xlib routine XDrawImageString16) would cause background color to be displayed.

The origin of each glyph is normally set so that the character is drawn in the upper left hand corner of the grid cell. However, if a glyph has a negative left bearing or an unusually large ascent, descent, or right bearing (as is the case with cursor font), some character may not appear in their own grid cells. The -center option may be used to force all glyphs to be centered in their respective cells.

All the characters in the font may not fit in the window at once. To see the next page of glyphs, press the Next button at the top of the window. To see the previous page, press Prev. To exit xfd, press Quit.

Individual character metrics (index, width, bearings, ascent and descent) can be displayed at the top of the window by pressing on the desired character.

The font name displayed at the top of the window is the full name of the font, as determined by the server. See xlsfonts for ways to generate lists of fonts, as well as more detailed summaries of their metrics and properties.

X DEFAULTS
To be written.

SEE ALSO
X(1), xlsfonts(1), xrdb(1)

BUGS
The program should skip over pages full of non-existent characters.

COPYRIGHT
Copyright 1989, Massachusetts Institute of Technology.
See X(1) for a full statement of rights and permissions.

AUTHOR
Jim Fulton, MIT X Consortium; previous program of the same name by Mark Lillibridge, MIT Project Athena.